#include <stdio.h>
#include "In.h"

#define CHECK_DONE if (!Done) return;
#define SET_DONE Done = EOF != res && 0 != res;

bool In::Done = false;

void In::Open()
{
	Done = true;
}

void In::Char(char &ch)
{
	CHECK_DONE
	int res = scanf("%c", &ch);
	SET_DONE
}

void In::Int(int &i)
{
	CHECK_DONE
	int res = scanf("%d", &i);
	SET_DONE
}

void In::LongInt(long &i)
{
	CHECK_DONE
	int res = scanf("%d", &i);
	SET_DONE
}

void In::Real(double &x)
{
	CHECK_DONE
	float tmp;
	int res = scanf("%G", &tmp);
	x = tmp;
	SET_DONE
}

void In::LongReal(long double &y)
{
	CHECK_DONE
	float tmp;
	int res = scanf("%G", &tmp);
	y = tmp;
	SET_DONE
}

void In::Name(char *name, int name_len)
{
	CHECK_DONE
	int res = scanf("%s", name);
	SET_DONE
}

void In::String(char *str, int str_len)
{
	CHECK_DONE
	int res = scanf("%s", str);
	SET_DONE
}

void In::O2M_SYS_In()
{}
