#ifndef O2M_H_FILE_Math
#define O2M_H_FILE_Math

namespace Math {

const double pi =  3.14159265358979E+0000;
const double e =  2.71828182845905E+0000;

double sqrt(double x);
double power(double x, double base);
double exp(double x);
double ln(double x);
double log(double x, double base);
double round(double x);
double sin(double x);
double cos(double x);
double tan(double x);
double arcsin(double x);
double arccos(double x);
double arctan(double x);
double arctan2(double x, double y);
double sinh(double x);
double cosh(double x);
double tanh(double x);
double arcsinh(double x);
double arccosh(double x);
double arctanh(double x);

void O2M_SYS_Math();

}//Math

#endif
