#include <math.h>
#include "Math.h"


//---------------------------------------------------------------
// 
double Math::sqrt(double x)
{
	return ::sqrt(x);
}


//---------------------------------------------------------------
//  
double Math::power(double x, double base)
{
	return ::pow(base, x);
}


//---------------------------------------------------------------
//
double Math::exp(double x)
{
	return ::exp(x);
}


//---------------------------------------------------------------
// 
double Math::ln(double x)
{
	return ::log(x);
}


//---------------------------------------------------------------
//
double Math::log(double x, double base)
{
	return ::log(x) / ::log(base);
}


//---------------------------------------------------------------
//
double Math::round(double x)
{
	double y;
	if (::modf(x, &y) >= 0.5) ++y;
	return y;
}


//---------------------------------------------------------------
//
double Math::sin(double x)
{
	return ::sin(x);
}


//---------------------------------------------------------------
//
double Math::cos(double x)
{
	return ::cos(x);
}


//---------------------------------------------------------------
//
double Math::tan(double x)
{
	return ::tan(x);
}


//---------------------------------------------------------------
//
double Math::arcsin(double x)
{
	return ::asin(x);
}


//---------------------------------------------------------------
//
double Math::arccos(double x)
{
	return ::acos(x);
}


//---------------------------------------------------------------
//
double Math::arctan(double x)
{
	return ::atan(x);
}


//---------------------------------------------------------------
//
double Math::arctan2(double x, double y)
{
	return ::atan2(x, y);
}


//---------------------------------------------------------------
// 
double Math::sinh(double x)
{
	return ::sinh(x);
}


//---------------------------------------------------------------
// 
double Math::cosh(double x)
{
	return ::cosh(x);
}


//---------------------------------------------------------------
// 
double Math::tanh(double x)
{
	return ::tanh(x);
}


//---------------------------------------------------------------
// 
double Math::arcsinh(double x)
{
	return ::log(x + ::sqrt(x*x + 1));
}


//---------------------------------------------------------------
//  (  , x >= 1)
double Math::arccosh(double x)
{
	return ::log(x + ::sqrt(x*x - 1));
}


//---------------------------------------------------------------
//  (|x| < 1)
double Math::arctanh(double x)
{
	return (::log((1 + x) / (1 - x))) / 2;
}


//---------------------------------------------------------------
// 
void Math::O2M_SYS_Math()
{}
