////////////////////////////////////////////////////////
//  ,    ()  //
////////////////////////////////////////////////////////

#ifndef O2M_H_FILE_SysUtils
#define O2M_H_FILE_SysUtils

#include <time.h>

namespace SysUtils {

	// 
	const int Sunday	= 0;	//
	const int Monday	= 1;	//
	const int Tuesday	= 2;	//
	const int Wednesday	= 3;	//
	const int Thursday	= 4;	//
	const int Friday	= 5;	//
	const int Saturday	= 6;	//

	//    /
	typedef time_t TDateTime;
	//   /  
	struct TDTRec {
		virtual const char* O2M_SYS_ID() {return "TDTRec@SysUtils";};
		int Sec, Min, Hour, Day, Mon, Year, WDay, YDay;
	};

	//    
	TDateTime Now();

	//      
	// S      26 
	void DateTimeToStr(TDateTime DateTime, char *S, const int O2M_ARR_0_S);

	// TDateTime  , , , , , 
	void DecodeDateTime(TDateTime DateTime, int &Year, int &Mon, int &Day, int &Hour, int &Min, int &Sec);

	// TDateTime     
	void DecodeDateTimeEx(TDateTime DateTime, TDTRec* DTRec);

	//     
	int DayOfWeek(TDateTime DateTime);

	//     0 <= X < 1
	double Rand();

	//     0 <= X < Range
	int Random(const int Range);

	//     
	void Randomize();

	//   
	void RandSeed();

	//   SysUtils
	void O2M_SYS_SysUtils();

}//namespace SysUtils

#endif
