///////////////////////////////////////////////////
// ,   Win32 API  //
//                  //
///////////////////////////////////////////////////

#include "WinUtils.h"
#include "O2M_WinApp.h"

using namespace WinApp;


//-----------------------------------------------------------------------------
//  
void WinUtils::DestroyWindow() {
	ASSERT_GRAPH_MODE
	//    
	PostMessage(hWnd, WM_DESTROY, 0, 0);
}


//-----------------------------------------------------------------------------
//  ,     Windows
int WinUtils::GetTickCount() {
	return ::GetTickCount();
}


//-----------------------------------------------------------------------------
//   
bool WinUtils::KeyPressed(short Key) {
	//    
	if (0 < Key && KeyCount > Key) return KeyArray[Key];
	return false;
}


//-----------------------------------------------------------------------------
//   
void WinUtils::SetTitle(const char *Text, const int TextSize) {
	ASSERT_GRAPH_MODE
	//  
	::SetWindowText(hWnd, Text);
}


//-----------------------------------------------------------------------------
//      
void WinUtils::Sleep (int Milliseconds) {
	::Sleep(Milliseconds);
}


//-----------------------------------------------------------------------------
//   WinUtils
void WinUtils::O2M_SYS_WinUtils()
{}
